OAuth 2.1 authorization endpoint (consent screen)
GET
/oauth/authorize
const url = 'https://app.buildworkpro.com/api/v1/oauth/authorize?response_type=code&client_id=example&redirect_uri=https%3A%2F%2Fexample.com&code_challenge=example&code_challenge_method=S256';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.buildworkpro.com/api/v1/oauth/authorize?response_type=code&client_id=example&redirect_uri=https%3A%2F%2Fexample.com&code_challenge=example&code_challenge_method=S256'Renders an HTML consent screen. The user must be authenticated via the first-party session cookie. On approval the user is redirected to redirect_uri with ?code=&state=. On error in the validation phase, fatal errors render an HTML error page (no redirect); validation errors after redirect_uri verification redirect with ?error=&state=.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “ Query Parameters ”
response_type
required
string
client_id
required
string
redirect_uri
required
string
format: uri
code_challenge
required
string
code_challenge_method
required
string
scope
string
state
string
Responses
Section titled “ Responses ”Consent screen rendered (HTML)
Media type
text/html
string
Redirect to client redirect_uri with code or error
Fatal validation error (HTML)
Media type
text/html
string